<?php

use App\Domains\Cart\Controllers\CartController;
use Illuminate\Support\Facades\Route;

Route::prefix('tenants/{tenant:codigo}')
    ->group(function (): void {
        Route::get('cart', [CartController::class, 'show']);
        Route::post('cart/items', [CartController::class, 'addItem']);
        Route::patch('cart/items/{cartItem}', [CartController::class, 'updateItemQuantity']);
        Route::delete('cart/items/{cartItem}', [CartController::class, 'removeItem']);
    });
